Bug 20722 - Searching only for an ITEMTYPECAT itemtype is impossible
Summary: Searching only for an ITEMTYPECAT itemtype is impossible
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 10937
Blocks:
  Show dependency treegraph
 
Reported: 2018-05-07 17:27 UTC by Katrin Fischer
Modified: 2018-06-04 11:11 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20722: Display search results when searching only by ITEMTYPECAT (1.27 KB, patch)
2018-05-07 18:07 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 20722: Display search results when searching only by ITEMTYPECAT (1.32 KB, patch)
2018-05-08 13:24 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 20722: Display search results when searching only by ITEMTYPECAT (1.43 KB, patch)
2018-05-10 18:07 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2018-05-07 17:27:32 UTC
Searching for only the itemtype usually works, but not for itemtypes that are actually ITEMTYPECAT categories grouping several itemtypes together. In this case you will need to add a second search criteria for the search to work. Only searching for the group will return you to the advanced search page.

To test:
- Create an entry for the ITEMTYPECAT authorised value category. 
  Make sure to fill in the OPAC description.
- Go to administration > itemtypes and add the new category to 2 item types.
- Go to the OPAC and check that the advanced search shows your new itemtype
  group instead of the individual itemtypes.
- Check the checkbox and Search.
- You will be returned to the advanced search page without error.
- Search for another ungrouped itemtype, it will return correct search results.
Comment 1 Jonathan Druart 2018-05-07 18:07:47 UTC
Created attachment 75140 [details] [review]
Bug 20722: Display search results when searching only by ITEMTYPECAT

- Create an entry for the ITEMTYPECAT authorised value category.
  Make sure to fill in the OPAC description.
- Go to administration > itemtypes and add the new category to 2 item types.
- Go to the OPAC and check that the advanced search shows your new itemtype
  group instead of the individual itemtypes.
- Check the checkbox and Search.
Comment 2 M. Tompsett 2018-05-08 13:24:17 UTC
Created attachment 75153 [details] [review]
Bug 20722: Display search results when searching only by ITEMTYPECAT

- Create an entry for the ITEMTYPECAT authorised value category.
  Make sure to fill in the OPAC description.
- Go to administration > itemtypes and add the new category to 2 item types.
- Go to the OPAC and check that the advanced search shows your new itemtype
  group instead of the individual itemtypes.
- Check the checkbox and Search.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 3 Katrin Fischer 2018-05-10 18:07:28 UTC
Created attachment 75241 [details] [review]
Bug 20722: Display search results when searching only by ITEMTYPECAT

- Create an entry for the ITEMTYPECAT authorised value category.
  Make sure to fill in the OPAC description.
- Go to administration > itemtypes and add the new category to 2 item types.
- Go to the OPAC and check that the advanced search shows your new itemtype
  group instead of the individual itemtypes.
- Check the checkbox and Search.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2018-05-11 14:13:17 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 5 Katrin Fischer 2018-06-01 11:14:37 UTC
Could this be considered for backporting to 17.11?
Comment 6 Fridolin SOMERS 2018-06-04 11:11:36 UTC
Pushed to 17.11.x for 17.11.07